module Locraft
  class Generator
    def initialize(config)
      @config = config
    end

    def valid?
      raise NotImplementedError
    end

    # @param [{ String => [Localization]}] _ # localizations hash like #{ 'Lang' => [array of localizations] }
    def generate(_)
      raise NotImplementedError
    end
  end
end
